package csjplatform

import (
	zhios_third_party_utils "code.fnuoos.com/go_rely_warehouse/zyos_go_third_party_api.git/utils"
	"fmt"
	"strings"
)

func OrderList(args map[string]string) (string, error) {
	params := map[string]interface{}{
		"size":       zhios_third_party_utils.StrToInt(args["size"]),
		"cursor":     args["cursor"],
		"start_time": zhios_third_party_utils.StrToInt(args["start_time"]),
		"end_time":   zhios_third_party_utils.StrToInt(args["end_time"]),
		"time_type":  args["time_type"],
	}
	if args["order_ids"] != "" {
		params["order_ids"] = strings.Split(args["order_ids"], ",")
	}
	send, err := Send(args["app_id"], args["app_secret"], "order/search", params)
	fmt.Println(send)
	fmt.Println(err)
	return send, err
}
