package zhimeng

import (
	"code.fnuoos.com/go_rely_warehouse/zyos_go_third_party_api.git/md"
	"encoding/json"
)

// todo
func VipConvertUrl(ak, sk, itemId, pid, couponPrice, adCode, openId, realCall string) (*md.ConvertedUrls, error) {
	args := map[string]interface{}{
		"appkey":     ak,
		"secret_key": sk,
		"gid":        itemId,
		"pid":        pid,
		"adCode":     adCode,
		"openId":     openId,
		"realCall":   realCall,
	}
	resp, err := Send("wph_new", "url", args)
	if err != nil {
		return nil, err
	}
	var tmp struct {
		Data struct {
			URL      string `json:"url"`
			DeepUrl  string `json:"deep_url"`
			VipWxUrl string `json:"vipWxUrl"`
		} `json:"data"`
	}
	if err = json.Unmarshal(resp, &tmp); err != nil {
		return nil, err
	}
	return &md.ConvertedUrls{
		ItemId:         itemId,
		URL:            tmp.Data.URL,
		ShortenURL:     tmp.Data.URL,
		NoOpenAppURL:   tmp.Data.URL,
		AppURL:         tmp.Data.DeepUrl,
		HasCoupon:      false,
		CommissionRate: couponPrice,
	}, nil
}
