package csjplatform

import (
	zhios_third_party_utils "code.fnuoos.com/go_rely_warehouse/zyos_go_third_party_api.git/utils"
	"fmt"
	"strings"
)

//抖口令解析+二次转链接口
func Keyword(args map[string]string) (string, error) {
	params := map[string]interface{}{
		"command": args["command"],
	}
	if args["external_info"] != "" {
		params["external_info"] = args["external_info"]
	}
	if args["share_type"] != "" {
		ex := strings.Split(args["share_type"], ",")
		ids := make([]int, 0)
		for _, v := range ex {
			ids = append(ids, zhios_third_party_utils.StrToInt(v))
		}
		params["share_type"] = ids
	}
	send, err := Send(args["app_id"], args["app_secret"], "command_parse", params)
	fmt.Println(send)
	fmt.Println(err)
	return send, err
}
